import { HTMLChakraProps, SystemProps, ComponentWithProps } from "@chakra-ui/vue-system";
import { PropType } from "vue";
export interface WrapProps extends HTMLChakraProps<"div"> {
    /**
     * The space between the each child (even if it wraps)
     * @type SystemProps["margin"]
     */
    spacing?: SystemProps["margin"];
    /**
     * The `justify-content` value (for cross-axis alignment)
     * @type SystemProps["justifyContent"]
     */
    justify?: SystemProps["justifyContent"];
    /**
     * The `align-items` value (for main axis alignment)
     * @type SystemProps["alignItems"]
     */
    align?: SystemProps["alignItems"];
    /**
     * The `flex-direction` value
     * @type SystemProps["flexDirection"]
     */
    direction?: SystemProps["flexDirection"];
    /**
     * If `true`, the children will be wrapped in a `WrapItem`
     */
    shouldWrapChildren?: boolean;
}
export declare const CWrapProps: {
    spacing: PropType<import("@chakra-ui/styled-system").ResponsiveValue<number | (string & {}) | "px" | "-moz-initial" | "inherit" | "initial" | "revert" | "revert-layer" | "unset" | "auto" | "1" | "-1" | "2" | "-2" | "3" | "-3" | "4" | "-4" | "5" | "-5" | "6" | "-6" | "7" | "-7" | "8" | "-8" | "9" | "-9" | "10" | "-10" | "12" | "-12" | "14" | "-14" | "16" | "-16" | "20" | "-20" | "24" | "-24" | "28" | "-28" | "32" | "-32" | "36" | "-36" | "40" | "-40" | "44" | "-44" | "48" | "-48" | "52" | "-52" | "56" | "-56" | "60" | "-60" | "64" | "-64" | "72" | "-72" | "80" | "-80" | "96" | "-96" | "-px" | "0.5" | "-0.5" | "1.5" | "-1.5" | "2.5" | "-2.5" | "3.5" | "-3.5"> | undefined>;
    justify: PropType<import("@chakra-ui/styled-system").ResponsiveValue<import("csstype").Property.JustifyContent> | undefined>;
    align: PropType<import("@chakra-ui/styled-system").ResponsiveValue<import("csstype").Property.AlignItems> | undefined>;
    direction: PropType<import("@chakra-ui/styled-system").ResponsiveValue<import("csstype").Property.FlexDirection> | undefined>;
    shouldWrapChildren: PropType<boolean | undefined>;
};
/**
 * Used to render texts or paragraphs.
 *
 * @see Docs https://vue.chakra-ui.com/docs/typography/text
 */
export declare const CWrap: ComponentWithProps<WrapProps>;
export interface WrapItemProps extends HTMLChakraProps<"li"> {
}
export declare const CWrapItem: import("vue").DefineComponent<{}, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
//# sourceMappingURL=wrap.d.ts.map